Loading...
Searching...
No Matches
com::lomiri::content::Item Class Reference

`#include <com/lomiri/content/item.h>`

Inheritance diagram for com::lomiri::content::Item:
Collaboration diagram for com::lomiri::content::Item:

## Public Member Functions

| Item (const QUrl &=QUrl(), QObject *=nullptr)
| Item (const Item &)
virtual | ~Item ()
Item & | operator= (const Item &)
bool | operator== (const Item &) const
Q_INVOKABLE const QUrl & | url () const
Q_INVOKABLE void | setUrl (const QUrl &url) const
Q_INVOKABLE const QString & | name () const
Q_INVOKABLE void | setName (const QString &name) const
Q_INVOKABLE const QString | text () const
Q_INVOKABLE void | setText (const QString &text) const
Q_INVOKABLE const QByteArray & | stream () const
Q_INVOKABLE void | setStream (const QByteArray &stream) const
Q_INVOKABLE const QString & | streamType () const
Q_INVOKABLE void | setStreamType (const QString &type) const

## Properties

QUrl | url
setUrlQString | name
QString | text
QByteArray | stream
QString | streamType

## Detailed Description

Definition at line 33 of file item.h.

## Constructor & Destructor Documentation

## Item() [1/2]

com::lomiri::content::Item::Item | ( | const QUrl & | = QUrl(),
|  | QObject * | = nullptr )

References Item().

Referenced by Item(), Item(), operator=(), operator==(), and ~Item().

Here is the call graph for this function:

## Item() [2/2]

com::lomiri::content::Item::Item | ( | const Item & |  | ) |

References Item().

Here is the call graph for this function:

## ~Item()

virtual com::lomiri::content::Item::~Item | ( |  | ) |

virtual

References Item().

Here is the call graph for this function:

## Member Function Documentation

## name()

Q_INVOKABLE const QString & com::lomiri::content::Item::name | ( |  | ) | const

References name.

## operator=()

Item & com::lomiri::content::Item::operator= | ( | const Item & |  | ) |

References Item().

Here is the call graph for this function:

## operator==()

bool com::lomiri::content::Item::operator== | ( | const Item & |  | ) | const

References Item().

Here is the call graph for this function:

## setName()

Q_INVOKABLE void com::lomiri::content::Item::setName | ( | const QString & | name | ) | const

References name, and setName().

Referenced by setName().

Here is the call graph for this function:

## setStream()

Q_INVOKABLE void com::lomiri::content::Item::setStream | ( | const QByteArray & | stream | ) | const

References setStream(), and stream.

Referenced by setStream().

Here is the call graph for this function:

## setStreamType()

Q_INVOKABLE void com::lomiri::content::Item::setStreamType | ( | const QString & | type | ) | const

References setStreamType().

Referenced by setStreamType().

Here is the call graph for this function:

## setText()

Q_INVOKABLE void com::lomiri::content::Item::setText | ( | const QString & | text | ) | const

References setText(), and text.

Referenced by setText().

Here is the call graph for this function:

## setUrl()

Q_INVOKABLE void com::lomiri::content::Item::setUrl | ( | const QUrl & | url | ) | const

References setUrl(), and url.

Referenced by setUrl().

Here is the call graph for this function:

## stream()

Q_INVOKABLE const QByteArray & com::lomiri::content::Item::stream | ( |  | ) | const

References stream.

## streamType()

Q_INVOKABLE const QString & com::lomiri::content::Item::streamType | ( |  | ) | const

References streamType.

## text()

Q_INVOKABLE const QString com::lomiri::content::Item::text | ( |  | ) | const

References text.

## url()

Q_INVOKABLE const QUrl & com::lomiri::content::Item::url | ( |  | ) | const

References url.

## Property Documentation

## name

setUrlQString com::lomiri::content::Item::name

read write

Definition at line 37 of file item.h.

Referenced by name(), and setName().

## stream

QByteArray com::lomiri::content::Item::stream

read write

Definition at line 39 of file item.h.

Referenced by setStream(), and stream().

## streamType

QString com::lomiri::content::Item::streamType

read write

Definition at line 40 of file item.h.

Referenced by streamType().

## text

QString com::lomiri::content::Item::text

read write

Definition at line 38 of file item.h.

Referenced by setText(), and text().

## url

QUrl com::lomiri::content::Item::url

read

Definition at line 36 of file item.h.

Referenced by setUrl(), and url().

The documentation for this class was generated from the following file:

- include/com/lomiri/content/item.h